Skip to main content
PATCH
Update Mock Tool Data

Authorizations

X-API-Key
string
header
required

Authenticate every request by passing your API key in the X-API-Key header. To get your key, go to Dashboard → API Keys and create or copy your Production API key.

Path Parameters

mockToolDataId
string
required

Unique identifier of the mock tool data record.

Body

application/json

Partial update for a mock tool data library record. Only provided fields are updated.

agentId
string
required

The unique identifier of the agent this mock belongs to.

Example:

"agent_D5D0p7TUs66TTAEAx"

name
string

Human-readable name for this mock.

Maximum string length: 255
Pattern: .*\S.*
Example:

"Success - Order Confirmed"

request
object

Optional request payload associated with this mock.

Example:
response
object

Mocked HTTP response body.

Example:
statusCode
enum<integer>

HTTP status code to return when this mock is used.

Available options:
100,
101,
102,
103,
200,
201,
202,
203,
204,
205,
206,
207,
208,
226,
300,
301,
302,
303,
304,
307,
308,
400,
401,
402,
403,
404,
405,
406,
407,
408,
409,
410,
411,
412,
413,
414,
415,
416,
417,
418,
421,
422,
423,
424,
425,
426,
428,
429,
431,
451,
500,
501,
502,
503,
504,
505,
506,
507,
508,
510,
511
Required range: 100 <= x <= 599
Example:

200

delay
integer<int64>

Artificial delay in milliseconds before returning the mock response.

Required range: 0 <= x <= 30000
Example:

0

toolAlias
string

Agent tool alias this mock belongs to.

Example:

"get_order"

Response

OK

A mock tool response stored in the tenant mock library.

mockToolDataId
string

Public identifier of the mock tool data record.

Example:

"mock_dpKjqjKnY3z6gABF"

name
string

Human-readable name for this mock.

Example:

"Success - Order Confirmed"

agentId
string

The unique identifier of the agent this mock belongs to.

Example:

"agent_D5D0p7TUs66TTAEAx"

toolId
string

Public identifier of the integration tool this mock belongs to.

Example:

"tool_X9pLm2Wq8Rt3"

toolAlias
string

Agent tool alias this mock was created against.

Example:

"get_order"

toolName
string

Display name of the tool at the time the mock was created.

Example:

"Get Order"

request
object

Request payload (or placeholders) associated with this mock.

Example:
response
object

Mocked HTTP response body.

Example:
statusCode
integer<int32>

HTTP status code returned when this mock is used.

Example:

200

delay
integer<int64>

Artificial delay in milliseconds before returning the mock response.

Example:

500